AbstractStaticPersistentMethod (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class AbstractStaticPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod

All Implemented Interfaces:
  org.grails.datastore.gorm.finders.FinderMethod

    @SuppressWarnings("rawtypes")
    public abstract class AbstractStaticPersistentMethod
    extends AbstractStaticMethodInvocation

Abstract base class for static persistent methods.

Authors:
  Steven Devijver
  Graeme Rocher

Field Summary
`protected GrailsApplication` | `application`

Constructor Summary
`protected AbstractStaticPersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern, GrailsApplication application)`

Method Summary
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)`
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria additionalCriteria, java.lang.Object[] arguments)`
`protected org.hibernate.Criteria` | `getCriteria(HibernateDatastore datastore, GrailsApplication appliation, org.hibernate.Session session, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria, java.lang.Class clazz)`
`protected GrailsHibernateTemplate` | `getHibernateTemplate()`
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)`
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)`
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria additionalCriteria, java.lang.Object[] arguments)`

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, setPattern, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### application

    protected final GrailsApplication application

Constructor Detail

### AbstractStaticPersistentMethod

    protected AbstractStaticPersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern, GrailsApplication application)

Method Detail

### doInvokeInternal

    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)

### doInvokeInternal

    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria additionalCriteria, java.lang.Object[] arguments)

### getCriteria

    protected org.hibernate.Criteria getCriteria(HibernateDatastore datastore, GrailsApplication appliation, org.hibernate.Session session, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria, java.lang.Class clazz)

### getHibernateTemplate

    protected GrailsHibernateTemplate getHibernateTemplate()

### invoke

    @Override
    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)

### invoke

    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)

### invoke

    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria additionalCriteria, java.lang.Object[] arguments)

Groovy Documentation